<div class="row mx-2">
	<div class="col">
		<div
			class="row panel-header"
			[ngClass]="{'header-hide': environment != 'sandbox'}"
		>
			<div *ngIf="environment == 'sandbox'">
				<fa-icon [icon]="icons.infoIcon"></fa-icon>&nbsp; You are in Sandbox mode. &nbsp;<b>Activate your account
					&nbsp;</b> to start making live transactions and accept real payments!
			</div>
		</div>
		<div class="row panel-body">
			<div class="col">
				<div class="row top-section">
					<div class="col-8">
						<div class="row ml-auto">
							<div
								class="date-range"
								[ngClass]="{active: activeRange === 'all'}"
								(click)="activeRange = 'all'"
							>
								All
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === 'today'}"
								(click)="activeRange = 'today'"
							>
								Today
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === '30d'}"
								(click)="activeRange = '30d'"
							>
								Last 30 days
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === '90d'}"
								(click)="activeRange = '90d'"
							>
								Last 90 days
							</div>
							<div
								class="date-range"
								[ngClass]="{active: activeRange === 'custom'}"
								(click)="activeRange = 'custom'"
							>
								Custom
							</div>
						</div>
					</div>

					<div class="col-4">
						<div class="row file-controls ml-auto">
							<div class="file-buttons">
								Download sample file
							</div>
							<div>
								<label
									class="file-buttons"
									for="upload-file"
								>Upload file</label>
								<input
									class="d-none"
									type="file"
									id="upload-file"
									(change)="handleFileInput($event.target.files)"
								/>
							</div>
						</div>
					</div>
				</div>
				<div class="row middle-section">
					<div class="col">
						<div class="row chart-header">
							<div class="col-6 input-group left-side">
								<input
									class="form-control"
									type="text"
									name="searchTerm"
								/>
								<div class="input-group-append">
									<button
										class="btn search-button"
										type="button"
									>
										<fa-icon [icon]="icons.search"></fa-icon>
									</button>
									<div class="clear-button">clear</div>
								</div>
							</div>
							<div class="col-6 d-flex justify-content-end right-side">
								<a>
									Documentation &nbsp;<fa-icon
										class="arrow"
										[icon]="icons.arrowRight"
									></fa-icon>
								</a>
							</div>
						</div>
						<div class="row chart-body">
							<div class="col">
								<table class="table">
									<thead>
										<tr>
											<th scope="col">bulk id</th>
											<th scope="col">file name</th>
											<th scope="col">payment plan</th>
											<th scope="col">upload date</th>
											<th scope="col">payees</th>
											<th scope="col">action</th>
										</tr>
									</thead>
									<tbody *ngIf="tableData.length > 0">
										<tr>

										</tr>
									</tbody>

								</table>
								<div
									*ngIf="!(tableData.length > 0)"
									class="no-table-data"
								>
									<div class="no-results">No results found</div>
									<div class="instructions">
										Send out payment links or process card payments in bulk.
										Upload a file containing
										all the information and accept
										payments with ease.
									</div>
									<div>
										<label
											class="file-buttons"
											for="upload-file"
										>Start uploading</label>
										<input
											class="d-none"
											type="file"
											id="upload-file"
											(change)="handleFileInput($event.target.files)"
										/>
									</div>
								</div>
							</div>
						</div>

					</div>
				</div>
				<div class="row footer">
					<div class="col-6 left-side">
						<span> Showing 0 of {{ tableData.length }} records</span>
					</div>
					<div class="col-6 d-flex justify-content-end right-side chart-controls">
						<div class="border-box">
							<fa-icon [icon]="icons.chevronLeft"></fa-icon>
						</div>
						<div class="border-box active">
							1
						</div>
						<div class="border-box">
							<fa-icon [icon]="icons.chevronRight"></fa-icon>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>